<?php
/**
 * EDUtwitter: Block for Moodle 2.2.1
 * 
 * 
 * @package  EDUtwitter
 * @author   David Romero Santos <david.romerosantos@alum.uca.es>
 * @license  http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link     https://forja.rediris.es/projects/cusl6-edutweets/
 */

require_once("{$CFG->libdir}/formslib.php");

class statistics_form extends moodleform {

    function definition() {

        $mform =& $this->_form;
        $mform->addElement('header', 'displayinfo', get_string('textfields_est', 'block_edutwitter'));

        //add description
        $mform->addElement('static', 'description', get_string('description', 'block_edutwitter'), get_string('description_warning_stats', 'block_edutwitter'));
       
        //add checkbox for reset statistics
        $mform->addElement('advcheckbox', 'clean_statistics', get_string('clean_statistics', 'block_edutwitter'));
        $mform->setDefault('clean_statistics', false);
        $mform->setType('config_statistics', PARAM_BOOL);

        $mform->addElement('hidden', 'blockid');
        $mform->addElement('hidden', 'courseid');
        $mform->addElement('hidden', 'consumerkey');
        $mform->addElement('hidden', 'consumersecret');
        $mform->addElement('hidden', 'oauthtoken');
        $mform->addElement('hidden', 'oauthsecret');
        $mform->addElement('hidden', 'search_term');

    
        $this->add_action_buttons();
    }
}
