<?php
/**
 * EDUtwitter: Block for Moodle 2.2.1
 * 
 * 
 * @package  EDUtwitter
 * @author   David Romero Santos <david.romerosantos@alum.uca.es>
 * @license  http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link     https://forja.rediris.es/projects/cusl6-edutweets/
 */

require_once("{$CFG->libdir}/formslib.php");

class submit_form extends moodleform {

    function definition() {

        $mform =& $this->_form;
        $mform->addElement('header', 'displayinfo', get_string('textfields_submit', 'block_edutwitter'));

        //add description
        $mform->addElement('static', 'description', get_string('description', 'block_edutwitter'), get_string('description_warning', 'block_edutwitter'));

        // add page title element
        $mform->addElement('text', 'pagetitle_submit', get_string('pagetitle_submit', 'block_edutwitter'));
        $mform->addRule('pagetitle_submit', null, 'required', null, 'client');

        $mform->addElement('hidden', 'blockid');
        $mform->addElement('hidden', 'courseid');
    
        $this->add_action_buttons();
    }
}
